Detailed reference of prototypes, properties and methods available in the
Javascript environment of your Helma web applications.

Implements some useful macro filters.
To use this optional module, its repository needs to be added to the application, for example by calling app.addRepository('modules/core/Filters.js')
Methods
lowercase_filter(input)
Transforms a string to lowercase.
parameters

| input |

see

String.prototype.toLowerCase

uppercase_filter(input)
Transforms a string to uppercase.
parameters

| input |

see

String.prototype.toUpperCase

capitalize_filter(input)
Transforms the first Character of a string to uppercase.
parameters

| input |

see

String.prototype.capitalize

titleize_filter(input)
Transforms the first Character of each word in a string to uppercase.
parameters

| input |

see

String.prototype.titleize

truncate_filter(limit, clipping)
Cuts a String at a certain position, and optionally appends a suffix, if truncation has occurred.
parameters

| limit | Maximum length
| clipping | Appended String, default is the empty String

see

String.prototype.head

trim_filter(input)
Removes leading and trailing whitespaces.
parameters

| input |

see

String.prototype.trim

stripTags_filter(input)
Removes all tags from a String. Currently simply wraps Helma's stripTags-method.
parameters

| input |

see

global.stripTags

escapeXml_filter(input)
Escapes the characters in a String using XML entities. Currently simply wraps Helma's encodeXml-method.
parameters

| input |

see

global.encodeXml

escapeHtml_filter(input)
Escapes the characters in a String using HTML entities.
parameters

| input |

see

http://www.google.com/codesearch?q=escapeHtml

escapeUrl_filter(charset)
Escapes the characters in a String to be suitable to use as an HTTP parameter value.
parameters

| charset | Optional String. The name of a supported character encoding.

see

http://www.google.com/codesearch?q=escapeUrl

escapeJavaScript_filter(input)
Escapes a string so it may be used in JavaScript String definitions.
parameters

| input |

linebreakToHtml_filter(input)
Replaces linebreaks with HTML linebreaks.
parameters

| input |

replace_filter(old, new)
Performs a string replacement.
parameters

| old |
| new |

substring_filter(from, to)
Returns a substring. Simply wraps the javascript method 'substring'.
parameters

| from |
| to |

see

String.prototype.substring

dateFormat_filter(format)
Returns a formatted string representation of a Date. Simply wraps javascripts Date.format-method.
parameters

| format |

see

Date.prototype.format

Tue, 25 Nov 2008 16:50:10 GMT.

### core framework

- global
- app (application)
- req (request)
- res (response)
- session
- path
- root
- HopObject
- User
- File
- FtpClient
- Image
- Mail
- Remote
- Xml
- DatabaseObject
- MimePart
- Skin
- Object

### optional modules

- Array extensions
- Date extensions
- Number extensions
- Object extensions
- String extensions
- HopObject extensions
- global macros
- macro filters
- JSON methods
- helma.Aspects
- helma.Chart
- helma.Color
- helma.Database
- helma.File
- helma.Ftp
- helma.Group
- helma.Html
- helma.Http
- helma.Image
- helma.Mail
- helma.Search
- helma.Skin
- helma.Ssh
- helma.Url
- helma.Zip
- jala.BitTorrent
- jala.Captcha
- jala.Date
- jala.db
- jala.DnsClient
- jala.Form
- jala.History
- jala HopObject extensions
- jala.HtmlDocument
- jala.I18n
- jala.ImageFilter
- jala.IndexManager
- jala.ListRenderer
- jala.Mp3
- jala.PodcastWriter
- jala.RemoteContent
- jala.Rss20Writer
- jala.Utilities
- jala.XmlRpcRequest
- jala.XmlWriter

### java libraries

- browse docjar